clang-tools 8.0.0

Public Attributes | List of all members
clang::clangd::FileDistanceOptions Struct Reference

`#include <FileDistance.h>`

Collaboration diagram for clang::clangd::FileDistanceOptions:
[legend]

## Public Attributes
unsigned | UpCost = 2
unsigned | DownCost = 1
unsigned | IncludeCost = 2
bool | AllowDownTraversalFromRoot = true

## Detailed Description

Definition at line 56 of file FileDistance.h.

## Member Data Documentation

## ◆ AllowDownTraversalFromRoot

bool clang::clangd::FileDistanceOptions::AllowDownTraversalFromRoot = true

Definition at line 60 of file FileDistance.h.

Referenced by clang::clangd::FileDistance::distance().

## ◆ DownCost

unsigned clang::clangd::FileDistanceOptions::DownCost = 1

Definition at line 58 of file FileDistance.h.

Referenced by clang::clangd::FileDistance::distance().

## ◆ IncludeCost

unsigned clang::clangd::FileDistanceOptions::IncludeCost = 2

Definition at line 59 of file FileDistance.h.

## ◆ UpCost

unsigned clang::clangd::FileDistanceOptions::UpCost = 2

Definition at line 57 of file FileDistance.h.

The documentation for this struct was generated from the following file:

- FileDistance.h